Quick Installation Guide


.

Contents

1. Requirements
1.1 System Requirements
1.2 Xilinx Software Requirements
2. Installation
2.1 Installation of VisualApplets
2.2 Installation of Xilinx Tool and License Request


1 Requirements

1.1 System Requirements

  • Microsoft Windows 7 / Windows 8 / Windows 10 (32 bit or 64bit)

  • SILICONSOFTWARE VisualApplets IDE license (USB-dongle version 2), to be able to design, simulate and create hardware applets for the Silicon Software frame grabber series.
  • For compilation of SDK examples, a C++ Compiler is required.

System Recommendations:

  • PC Memory: Minimum 4 GByte, recommended: 8 GByte or better
  • Minimum available hard disk space: 500 MByte

Runtime Environment

For running VA Applets on Silicon Software Frame Grabbers, you need the following Silicon Software Runtime Software versions to be installed on the host PC:

  • Runtime environment Version 5.6 (or higher) for running Applets built with VisualApplets 3.1 (or higher) on mE5 marathon VCLx (PoCL and non-PoCL mode).

  • Runtime environment Version 5.5.1 (or higher) for running Applets built with VisualApplets 3.0.6 (or higher) on mE5 marathon VCL and LightBridge VCL in PoCL mode.

  • Runtime environment Version 5.4.0 (or higher) for running Applets built with VisualApplets 3.0.6 (or higher) on mE5 marathon VCL and LightBridge VCL with external powering of camera (non-PoCL mode).

  • Runtime environment Version 5.4.0 (or higher) for running Applets built with VisualApplets version 3 to 3.0.5 on mE5 marathon VCL and LightBridge VCL (PoCL and non-PoCL mode).

  • Runtime environment Version 5.5 (or higher) for running Applets built with VisualApplets 3 (or higher) on microEnable 5 marathon VCX-QP.

  • Runtime environment Version 5.5 (or higher) for running Applets built with VisualApplets 3 (or higher) on microEnable 5 marathon VF2.

  • Runtime environment Version 5.4.1 (or higher) for running Applets built with VisualApplets 3 (or higher) on microEnable IV VD4-CL/-PoCL and microEnable IV VQ4-GE/GPoE, PixelPlant PX100/200[e]

  • Runtime environment Version 5.4.0 (or higher) for running Applets built with VisualApplets 3 (or higher) on microEnable 5 ironman VQ8-CXP6D, microEnable 5 ironman VQ8-CXP6B, and microEnable 5 ironman VD8-PoCL.

  • Runtime environment Version 5.2.1 (or higher) for running Applets built with VisualApplets 3 (or higher) on microEnable IV VD1-CL.


1.2 Xilinx Software Requirements

The VisualApplets design process requires one third party software: Xilinx ISE or Xilinx Vivado (registered trademarks of Xilinx Corp.).

Which license of Xilinx ISE® or Xilinx Vivado® you need (and if this license is free or not) depends on the target frame grabber you are developing for. In addition, a 30-day evaluation license is available directly from Silicon Software.

30-day evalulation license: If you want to test VisualApplets together with the Xilinx ISE Design Suite Logic Edition, you can order a 30-day evalulation license for the Xilinx ISE Design Suite Logic Edition directly at Silicon Software (see below).


The Xilinx software must be installed on the same PC as the VisualApplets development tool. The Xilinx tool is used whenever you start a build process within VisualApplets.

Depending on your target hardware, you need a certain Xilinx tool type and version.
All statements made below are valid as per August 2018; Please check updated information @ www.xilinx.com or ask the Silicon Software support for further assistence: mailto:support@silicon-software.de

The table below lists all Silicon Software target hardware and the required Xilinx ISE licenses:


If you need further assistance, please contact the SiliconSoftware support or sales department:
mailto:support@silicon-software.de
mailto:sales@silicon-software.de


2. Installation

2.1 Installation of VisualApplets

Detailed installation instructions you find here: 

VisualApplets Installation Guide

2.2 Installation of Xilinx Tool and License Request

Before you can build your designs created in VisualApplets, i.e., before you can transfer your designs into real firmware files, you need to install the Xilinx tool.

Detailed instructions for installation and (if required) license requests you find here: 



Back Forward